package com.yunzhupaas.message.service;


import com.yunzhupaas.base.service.SuperService;
import com.baomidou.mybatisplus.extension.service.IService;


import java.util.*;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhupaas.message.entity.SendConfigTemplateEntity;
import com.yunzhupaas.message.entity.TemplateParamEntity;
import com.yunzhupaas.message.model.sendmessageconfig.SendMessageConfigPagination;

/**
 * 消息发送配置
 * 版本： V3.2.0
 * 版权： 深圳市乐程软件有限公司（http://www.szlecheng.cn）
 * 作者： 云筑产品开发平台组
 * 日期： 2022-08-19
 */
public interface SendConfigTemplateService extends SuperService<SendConfigTemplateEntity> {

    QueryWrapper<SendConfigTemplateEntity> getChild(SendMessageConfigPagination pagination, QueryWrapper<SendConfigTemplateEntity> sendConfigTemplateQueryWrapper);

    SendConfigTemplateEntity getInfo(String id);

    List<SendConfigTemplateEntity> getDetailListByParentId(String id);

    /**
     * 根据消息发送配置id获取启用的配置模板
     * @param id
     * @return
     */
    List<SendConfigTemplateEntity> getConfigTemplateListByConfigId(String id);

    boolean isUsedAccount(String accountId);

    boolean isUsedTemplate(String templateId);
}

